> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# View the details of a specific insurance policy by its ID

> Retrieve a specific policy by its ID



## OpenAPI

````yaml get /api/v1/policies/{policy_id}/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/policies/{policy_id}/:
    get:
      tags:
        - Policies
      summary: View the details of a specific insurance policy by its ID
      description: Retrieve a specific policy by its ID
      operationId: retrieve-policy-by-id
      parameters:
        - in: path
          name: policy_id
          schema:
            type: string
            format: uuid
            description: Unique identifier for the policy
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Policy'
          description: Policy details
        '404':
          description: Policy not found
      security:
        - ClientKeyAuth: []
components:
  schemas:
    Policy:
      type: object
      description: Serializer for the Policy model
      properties:
        policy_id:
          type: string
          format: uuid
          readOnly: true
          description: Unique identifier for the policy
        policy_number:
          type: string
          readOnly: true
          nullable: true
          description: >-
            Policy Refrence Number assigned by the insurer e.g GI86585700-1,
            AXA2024727-2, LEAD18002-42, etc
        effective_from:
          type: string
          format: date
          readOnly: true
          description: Date the policy becomes active - determined by the time of purchase
        effective_through:
          type: string
          format: date
          readOnly: true
          description: Date the policy expires
        premium:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          readOnly: true
          description: Amount paid for the policy
        policy_holder:
          $ref: '#/components/schemas/PolicyCustomer'
        merchant:
          type: string
        provider:
          $ref: '#/components/schemas/PolicyProvider'
        coverage:
          type: string
          description: Coverage details for the policy
          readOnly: true
          nullable: true
        policy_type:
          type: string
          description: Returns the type of the policy
          readOnly: true
        renewable:
          type: boolean
          readOnly: true
          description: Indicates if the policy is renewable
        renewal_date:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          description: Date when this insurance policy is due for renewal
        inspection_required:
          type: boolean
          readOnly: true
          description: >-
            Indicates if an inspection is required before the policy can be
            purchased
        cerfication_required:
          type: boolean
          readOnly: true
          description: >-
            Indicates if any certifications are required before the policy can
            be purchased
        status:
          allOf:
            - $ref: '#/components/schemas/StatusD7cEnum'
          readOnly: true
          description: |-
            Current status of the policy

            * `accepted` - Accepted
            * `cancelled` - Cancelled
            * `active` - Active
        cancellation_initiator:
          type: string
          readOnly: true
          nullable: true
          description: Who requested for cancellation of this policy?
        cancellation_reason:
          type: string
          readOnly: true
          nullable: true
          description: Reason for policy cancellation
        cancellation_date:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          description: Date when the policy was cancelled
        beneficiaries:
          type: array
          items:
            $ref: '#/components/schemas/PolicyBeneficiary'
      required:
        - beneficiaries
        - cancellation_date
        - cancellation_initiator
        - cancellation_reason
        - cerfication_required
        - coverage
        - effective_from
        - effective_through
        - inspection_required
        - merchant
        - policy_holder
        - policy_id
        - policy_number
        - policy_type
        - premium
        - provider
        - renewable
        - renewal_date
        - status
    PolicyCustomer:
      type: object
      properties:
        customer_id:
          type: string
          format: uuid
        customer_name:
          type: string
          description: Returns the full name of the customer
          readOnly: true
        customer_email:
          type: string
          format: email
        customer_phone:
          type: string
      required:
        - customer_email
        - customer_id
        - customer_name
        - customer_phone
    PolicyProvider:
      type: object
      properties:
        provider_id:
          type: string
          format: uuid
        provider_name:
          type: string
        email:
          type: string
          format: email
      required:
        - email
        - provider_id
        - provider_name
    StatusD7cEnum:
      enum:
        - accepted
        - cancelled
        - active
      type: string
      description: |-
        * `accepted` - Accepted
        * `cancelled` - Cancelled
        * `active` - Active
    PolicyBeneficiary:
      type: object
      properties:
        beneficiary_id:
          type: string
          format: uuid
        beneficiary_name:
          type: string
          description: Returns the full name of the beneficiary
          readOnly: true
      required:
        - beneficiary_id
        - beneficiary_name
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````